## org.firebirdsql.jdbc
Interface FirebirdDriver

All Superinterfaces:
  Driver

All Known Implementing Classes:
  FBDriver

    public interface FirebirdDriver

extends Driver

Extension of the `Driver` providing methods to set the connection properties programmatically.

Method Summary
`FirebirdConnection` `connect(FirebirdConnectionProperties properties)` Connect to the specified database using the specified connection properties.
`FirebirdConnectionProperties` `newConnectionProperties()` Create new instance of `FirebirdConnectionProperties` that can later be used in `connect(FirebirdConnectionProperties)` call.

Methods inherited from interface java.sql.Driver
`acceptsURL, connect, getMajorVersion, getMinorVersion, getPropertyInfo, jdbcCompliant`

Method Detail

### newConnectionProperties

    FirebirdConnectionProperties newConnectionProperties()

  Create new instance of `FirebirdConnectionProperties` that can later be used in `connect(FirebirdConnectionProperties)` call.

  Returns:
    instance of `FirebirdConnectionProperties`.

### connect

    FirebirdConnection connect(FirebirdConnectionProperties properties)
                               throws SQLException

  Connect to the specified database using the specified connection properties.

  Parameters:
    `properties` - instance of `FirebirdConnectionProperties` created in `newConnectionProperties()` method.
  Returns:
    new connection to the Firebird database.
  Throws:
    `SQLException` - if an error happened while connecting to the database.

Copyright © 2001-2010. All Rights Reserved.